Summary: VaporTalk MUD/MUCK/MOO/etc. client
Name: vt
Version: 2.15
Release: 1
Copyright: freeware
Group: Applications/Networking
Source: vt.2.15.tar.Z
Patch0: vt-linux.patch
Patch1: vt-config.patch
# I strongly discourage changing this.  If you do, set it to a temporary
# directory, since everything below it will be destroyed in the %clean
# macro.
BuildRoot: /usr/src/redhat/BUILD

%description
VaporTalk is a MU* client with a C-like extention language.  It works equally
well with any kind of text-based MU* (unlike most clients), and has
text-windowing abilities like ircII and EMACS (unlike any other MU* client I
know of).


%prep
%setup -n vt
%patch0
%patch1


%build
cd src
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"


%install
mkdir -p ../usr/bin
mkdir -p ../usr/lib
cp -a src/vt ../usr/bin
cp -a dist ../usr/lib/vt
cp -a extra ../usr/lib/vt


%files
%doc doc/*
/usr/bin/vt
%dir /usr/lib/vt
/usr/lib/vt/avl.vtc
/usr/lib/vt/bind.vtc
/usr/lib/vt/command.vtc
/usr/lib/vt/extra
/usr/lib/vt/hist.vtc
/usr/lib/vt/hook.vtc
/usr/lib/vt/line.vtc
/usr/lib/vt/lp.vtc
/usr/lib/vt/main.vtc
/usr/lib/vt/misc.vtc
/usr/lib/vt/mud.vtc
/usr/lib/vt/quote.vtc
/usr/lib/vt/raw.vtc
/usr/lib/vt/remote.vtc
/usr/lib/vt/resident.vtc
/usr/lib/vt/trig.vtc
/usr/lib/vt/util.vtc
/usr/lib/vt/window.vtc
/usr/lib/vt/world.vtc


%clean
# Remove everything under the RPM_BUILD_ROOT tree
rm -rf ${RPM_BUILD_ROOT}/*
